Adding a Station - Your browser is not supported?

Discussion in 'Weather Watcher - Help' started by Chris Wileman, Dec 9, 2017.

  1. Chris Wileman

    Chris Wileman New Member

    Joined:
    Dec 9, 2017
    Messages:
    2
    Likes Received:
    0
    Hi - Anyone help please - I was trying to add a station but keep getting the message "Your using a browser that is not supported by Google Maps JaveScript API consider changing your browser"

    I have got IE 11 - Firefox (latest) and Chrome on my machine. I have never had any problems before, but this has just started happening

    Any advice please?
     
  2. Chris Wileman

    Chris Wileman New Member

    Joined:
    Dec 9, 2017
    Messages:
    2
    Likes Received:
    0
    Here is a screenshot of the issue
     

    Attached Files:

  3. msinger

    msinger Administrator
    Staff Member

    Joined:
    Nov 6, 2002
    Messages:
    4,707
    Likes Received:
    0
    You can resolve this issue by upgrading to the current version of Weather Watcher. You can download the current Weather Watcher installer here.